using System;
using System.Data;
using System.Data.SqlClient;
using Microsoft.ApplicationBlocks.Data;

using HISClinic.DataModel;
using HISClinic.DataServices.Database;

namespace HISClinic.DataServices
{
	/// <summary>
	/// RegistrationTypeMapper 的摘要说明。
	/// </summary>
	public class RegistrationTypeMapper
	{
		private const string PARAM_RegistrationTypeID="@RegistrationTypeID";
		private const string PARAM_Name="@Name";

		public RegistrationTypeMapper()
		{
			//
			// TODO: 在此处添加构造函数逻辑
			//
		}

		public RegistrationTypesEx GetRegistrationType()
		{
			RegistrationTypesEx registrationTypesEx=new RegistrationTypesEx();
		    
			using(SqlConnection conn=HISDBConfig.GetConnection())
			{
				SqlHelper.FillDataset(conn,"ut_GetRegistrationType",registrationTypesEx,new string[] {RegistrationTypesEx.t_RegistrationTypeDataTableEx.TableName_RegistrationType},null);
			}
			return registrationTypesEx;
		}
	}
}
